function onLoad() { 
	if (!is_device) {
		onDeviceReady();
	} else {
		document.addEventListener("deviceready", onDeviceReady, false);
	}
}

function resize() {
	windowWidth = window.innerWidth > window.innerHeight ? window.innerWidth : window.innerHeight;
	if (!is_device) { windowWidth = $(window).width(); window.localStorage["widhtDev"] = windowWidth; }
	if (window.localStorage["widhtDev"] != undefined) {
		if (windowWidth < window.localStorage["widhtDev"]) {
			windowWidth = window.localStorage["widhtDev"];
		}
	}
	var coef = parseInt(windowWidth * 0.563);
	if (coef > window.innerHeight) {
		windowWidth = parseInt(window.innerHeight / 0.563);
	}
	window.localStorage["widhtDev"] = windowWidth;
	var coef = parseInt(windowWidth * 0.563);
	var coef_x = window.innerHeight - coef;
	if (coef_x < 0) coef_x = 0;
	coef_xx = coef_x;
	var x = windowWidth / 1000;
	divider_px = x;
	setStyle(x, coef_x);
}

function onDeviceReady() {	
	if(window.StatusBar != undefined) StatusBar.hide();

	document.addEventListener("backbutton", exit, false);
	document.addEventListener("menubutton", exit, false);

	try {
		if (window.admob != undefined) {
			window.admob.interstitial.config({
				id: admob_interstitial_id,
				autoShow: false
			});
			window.admob.interstitial.prepare();
		}
	} catch (err) {}
	
	document.addEventListener('admob.interstitial.events.LOAD_FAIL', function (event) {
		try { if (window.admob != undefined) { window.admob.interstitial.prepare(); } } catch (err) { }
	});
	document.addEventListener('admob.interstitial.events.CLOSE', function (event) {
		try { if (window.admob != undefined) { window.admob.interstitial.prepare(); } } catch (err) { }
	});

	var clickEventType=((document.ontouchstart!==null)?'click':'touchstart');
	
	if(window.localStorage["is_vol"] != undefined){
		is_vol = window.localStorage["is_vol"];
	}
	
	if (is_vol == 0){$('.volume').addClass('off').removeClass('on');}
	
	$(window).resize(function(){resize();});
	
	$(document).on(clickEventType, '#splash', function(){
		is_run = true;
		document.getElementById('splash').style.display='none';
		document.getElementById('main').style.display='block';
		window.localStorage['level'] = 1;
		if (is_vol) playAudio('muz');
		$('#highlight').css('top',$('#dot1').position().top);
		init();
	});	
		
	$(document).on(clickEventType, '#more, #more2', function(){
		window.open("market://search?q=pub:sbitsoft.com", "_system");
	});
	
	$(document).on(clickEventType, '.volume', function(){
		if (is_vol) playAudio('tap');
		if ($(this).hasClass('off')){
			$('.volume').removeClass('off').addClass('on');
			window.localStorage["is_vol"] = 1;
			is_vol = 1;
		} else {
			$('.volume').addClass('off').removeClass('on');
			window.localStorage["is_vol"] = 0;
			is_vol = 0;
		}
	});
	
	$(document).on(clickEventType, '#call', function(){
		if (is_vol) playAudio('tap');
		if (!$(this).hasClass('clicked')){
			call();
		}
	});
	
	$(document).on(clickEventType, '#fifty', function(){
		if (is_vol) playAudio('tap');
		if (!$(this).hasClass('clicked')){
			fifty();
		}
	});
	
	$(document).on(clickEventType, '#auditory', function(){
		if (is_vol) playAudio('tap');
		if (!$(this).hasClass('clicked')){
			auditory();
		}
	});
	
	$(document).on(clickEventType, '#help_window', function(){
		if ($('#help').hasClass('call')){
			document.getElementById('help').innerHTML = '';
			document.getElementById('help_window').style.display = 'none';
			document.getElementById('help').classList.remove('call');
		} else {
			document.getElementById('help').innerHTML = '';
			document.getElementById('help_window').style.display = 'none';
			document.getElementById('help').classList.remove('auditory');
		}
	});
		
	$(document).on(clickEventType, '#win', function(){
		if (is_vol) playAudio('tap');
		init();
	});	
		
	$(document).on(clickEventType, '.answer', function(){
		if (!$(this).hasClass('click')){	
			$('.answer').addClass('click');
			if (is_vol) playAudio('select');
			var cur_ans = $(this).attr('rel');
			var src = $('#ans_'+cur_ans+' img').attr('src');
			var src2 = $('.answer.right img').attr('src');
			temp_disable_help();
			blink(6, cur_ans, src);
			if ($('#ans_'+cur_ans+' span').hasClass('right')){
				$('#ans_'+cur_ans+' span').removeClass('right');
				setTimeout(function(){
					$('#ans_'+cur_ans+' img').attr('src', 'img/right.png');
				},2000)
				setTimeout(function(){
					window.localStorage['coins'] = cur_level;
					window.localStorage['level'] = cur_level + 1;
					$('#ans_'+cur_ans+' img').attr('src', src);
					win();
					if (is_vol) playAudio('good');
				},3000)
			} else {
				setTimeout(function(){
					$('#ans_'+cur_ans+' img').attr('src', 'img/wrong.png');
					$('.answer.right img').attr('src', 'img/right.png');
				},2000)
				setTimeout(function(){
					$('#ans_'+cur_ans+' img').attr('src', src);
					$('.answer.right img').attr('src', src2);
					$('.answer.right').removeClass('right');
					wrong();
					if (is_vol) playAudio('bad');
				},3000)
			}
		}
	});
	
	resize();
	setTimeout(function(){
		startGame();
	}, time_sp);	
}


function startGame(){
	document.getElementById('loader').style.display='none';
	document.getElementById('splash').style.display='block';
	document.getElementById('bg').style.display='block';
	setTimeout(function(){
		if (!is_run){
			is_run = true;
			document.getElementById('splash').style.display='none';
			document.getElementById('main').style.display='block';
			window.localStorage['level'] = 1;
			if (is_vol) playAudio('muz');
			init();
			if (window.analytics != undefined){
				try{
				window.analytics.trackView('Home ' + title_game);
				} catch (e){
					
				}
			}
			return false;
		}
	}, 1500);
}

function game_ad(){
	ad_clicks++;
	if (ad_clicks == 5){
		ad_clicks = 0;
		showAdmobInterstitial();
	}
}


function init(){
	$('.answer').removeClass('click disabled');
	document.getElementById('win').style.display = 'none';
	document.getElementById('bg').style.display = 'block';
	document.getElementById('main').style.display = 'block';
	if (window.localStorage['level'] == undefined || window.localStorage['level'] == 1){
		$('#sum').removeClass('mil');
		for (var i=1; i<16; i++){
			$('#dot'+i).html('');
		}
		cur_level = 1;
		$('#highlight').css('top',$('#right_block').height());
	} else {
		cur_level = parseInt(window.localStorage['level']);
	}
	
	/*Shuffle question*/
	if (window.localStorage['question' + cur_level] !== undefined) {
		temp_question['question' + cur_level] = JSON.parse(window.localStorage['question' + cur_level]);
	}
	if (temp_question['question' + cur_level] == undefined || temp_question['question' + cur_level].length < 1) {
		temp_question['question' + cur_level] = shuffle(question['question' + cur_level]);
	}
	var q_shuffle = temp_question['question' + cur_level].shift();
	window.localStorage['question' + cur_level] = JSON.stringify(temp_question['question' + cur_level]);
	cur_question = questions[cur_level][q_shuffle];
	document.getElementById('question').innerHTML = cur_question;
	cur_answer = answers[cur_level][q_shuffle][answers[cur_level][q_shuffle]['right']];
	/**/
	
	
	var shuf_arr = ['1','2','3','4'];
	var ans_temp = shuffle(shuf_arr);
	
	$('.answer').removeClass('right');
	$('.answer span').removeClass('right');
	for (var i=0; i<4; i++){
		var j = i + 1;
		$('#ans_'+j+' span').text(answers[cur_level][q_shuffle][ans_temp[i]]);
		$('#ans_'+j+' span').attr('rel', j);
		if (answers[cur_level][q_shuffle][ans_temp[i]] == cur_answer){
			window.localStorage['cur_answer'] = j;
			$('#ans_'+j+' span').addClass('right');
			$('#ans_'+j).addClass('right');
		}
		var c = parseInt($('#ans_'+j+' span').text().length);
		if (c < 10){
			$('#ans_'+j+' span').css('font-size', parseInt(divider_px * 45) + 'px');
		} else if (c < 14){
			$('#ans_'+j+' span').css('font-size', parseInt(divider_px * 40) + 'px');
		} else if (c < 18){
			$('#ans_'+j+' span').css('font-size', parseInt(divider_px * 32) + 'px');
		} else if (c < 20){
			$('#ans_'+j+' span').css('font-size', parseInt(divider_px * 28) + 'px');
		} else {
			$('#ans_'+j+' span').css('font-size', parseInt(divider_px * 22) + 'px');
		}
	}
	
	/*Подгоняем текст под размер ДИВа*/
	var l = parseInt($('#question').html().length);
	if (l<50){
		$('#question').css('font-size', parseInt(divider_px * 45)+'px');
	} else if (l<60) {
		$('#question').css('font-size', parseInt(divider_px * 42)+'px');
	} else if (l<70) {
		$('#question').css('font-size', parseInt(divider_px * 38)+'px');
	} else if (l<80) {
		$('#question').css('font-size', parseInt(divider_px * 34)+'px');
	} else if (l<90) {
		$('#question').css('font-size', parseInt(divider_px * 30)+'px');
	} else {
		$('#question').css('font-size', parseInt(divider_px * 28)+'px');
	}
	setTimeout(function(){
		var h = parseInt($('#question').css('height'));
		var mh = parseInt($('#question_block').css('height'));
		var dif = parseInt((mh - h)/2);
		$('#question').css('margin-top', dif+'px');
	}, 100)
	/**/
	if (is_vol) playAudio('muz');
}

function win(){
	document.getElementById('main').style.display = 'none';
	document.getElementById('bg').style.display = 'none';
	document.getElementById('win').style.display = 'block';
	var cur_sum = parseInt(window.localStorage['level']) - 1;
	document.getElementById('dot'+cur_sum).innerHTML = '<img src="img/dot.png" />';
	var sum = $('#dot'+cur_sum).next('td').html();
	if (sum == 'МИЛЛИОН'){
		$('#sum').addClass('mil');
	}
	document.getElementById('sum').innerHTML = sum;
	document.getElementById('highlight').style.display = 'block';
	$('#highlight').css('height',$('#dot'+(cur_sum)).height());
	$('#highlight').css('top',$('#dot'+(cur_sum)).position().top);
	if (cur_sum<15){
		game_ad();
	}
	if (cur_sum == 15){
		window.localStorage['level'] = 1;
		document.getElementById('call').className = '';
		document.getElementById('fifty').className = '';
		document.getElementById('auditory').className = '';
		showCoins();
	}
	if (is_vol) playAudio('aplod');
}

function wrong(){
	document.getElementById('call').className = '';
	document.getElementById('fifty').className = '';
	document.getElementById('auditory').className = '';
	document.getElementById('main').style.display = 'none';
	document.getElementById('bg').style.display = 'none';
	document.getElementById('highlight').style.display = 'none';
	document.getElementById('win').style.display = 'block';
	var cur_sum = parseInt(window.localStorage['level']);
	if (cur_sum < 6){
		$('.dot').html('');
		window.localStorage['coins'] = '0';
		document.getElementById('sum').innerHTML = '0';
	} else if (cur_sum < 10){
		window.localStorage['coins'] = '5';
		for (var i = 6; i < 10;i++){
			document.getElementById('dot'+i).innerHTML = '';
		}
		document.getElementById('sum').innerHTML = '1000';
	} else {
		window.localStorage['coins'] = '10';
		for (var i = 10; i < 15; i++){
			document.getElementById('dot'+i).innerHTML = '';
		}
		document.getElementById('sum').innerHTML = '32000';
	}
	window.localStorage['level'] = 1;
	$('#highlight').css('top',$('#dot1').position().top);
	setTimeout(function(){
		game_ad();
	},1000);
}

function blink(n, k, s){
	if (n>0){
		if (n%2){
			$('#ans_'+k+' img').attr('src','img/wait.png')
		} else {
			$('#ans_'+k+' img').attr('src',s);
		}
		n = n - 1;
		setTimeout(function(){
			blink(n, k, s);
		}, 200);
	}
}

function call(){
	document.getElementById('help').classList.add('call');
	var str = '';
	var name = shuffle(friend);
	str += '<img src="img/fr_call.png">';
	var ans = [];
	for (var i = 1; i<5; i++){
		if ($('#ans_'+i+' span').html() != ''){
			ans.push($('#ans_'+i+' span').html());
		}
	}
	var ans_shuf = shuffle(ans);
	var answer_number = parseInt(localStorage['cur_answer']);
	var rand1 = Math.floor(Math.random() * (70 - 0 + 1));
	var rand2 = Math.floor(Math.random() * (100 - 30 + 1)) + 30;
	if (rand1 >= rand2){
		str += '<span>Ваш друг '+name[0]+' думает - </span><br /><span>'+ans_shuf[0]+'</span>';
	} else {
		str += '<span>Ваш друг '+name[0]+' думает - </span><br /><span>'+cur_answer+'</span>';
	}
	document.getElementById('help').innerHTML = str;
	document.getElementById('help_window').style.display = 'block';
	document.getElementById('call').classList.add('clicked');
}

function fifty(){
	document.getElementById('fifty').classList.add('clicked');
	var rem = [];
	for (var i = 1; i<5; i++){
		if ($('#ans_'+i+':not(.answer.right)').attr('rel') != undefined){
			rem.push($('#ans_'+i+':not(.answer.right)').attr('rel'));
		}
	}
	var rem_shuf = shuffle(rem);
	setTimeout(function(){
		for (var i=0; i<2 ; i++){
			$('#ans_'+rem_shuf[i]+' span').html('');
			$('#ans_' + rem_shuf[i]).addClass('disabled'); //added 
		}
	},1000);
}

function auditory(){
	document.getElementById('help').classList.add('auditory');
	var str = '';
	str += '<img src="img/fr_call.png">';
	for (var i=1; i<5; i++){
		str += '<div class="rate"><div id="inner'+i+'" class="inner"></div><span>'+letters[i-1]+'</span></div>';
	}
	document.getElementById('help').innerHTML = str;
	document.getElementById('help_window').style.display = 'block';
	document.getElementById('auditory').classList.add('clicked');
	rates = new Array();
	rates = getRandom(0,100);
	var answer_number = parseInt(localStorage['cur_answer']);
	var rand1 = Math.floor(Math.random() * (80 - 0 + 1));
	var rand2 = Math.floor(Math.random() * (100 - 20 + 1)) + 20;
	var not_empty = [];
	for (var i=1; i<5 ; i++){
		if ($('#ans_'+i+' span').html() != ''){
			not_empty.push(i);
		}
	}
	if (not_empty.length > 3){
		if (rand1 >= rand2){
			for (var i=1; i<5; i++){
				document.getElementById('inner'+i).style.height = rates[i-1]+'%';
			}
		} else {
			var arr = ['1','2','3','4'];
			var max = rates[0];
			var max_ind = 0;
			for (j=0; j < 4; j++){
				if (rates[j] > max){
					max = rates[j];
					max_ind = j;
				}
			}
			document.getElementById('inner'+arr[answer_number - 1]).style.height = rates[max_ind]+'%';
			rates.splice(max_ind, 1);
			arr.splice((answer_number-1),1);
			for (var i=0; i<3; i++){
				document.getElementById('inner'+arr[i]).style.height = rates[i]+'%';
			}
		}
	} else {
		var not_empty = [];
		for (var i=1; i<5 ; i++){
			if ($('#ans_'+i+' span').html() != ''){
				not_empty.push(i);
			}
		}
		var rand1 = Math.floor(Math.random() * (71));
		var rand2 = Math.floor(Math.random() * (100 - 30 + 1)) + 30;
		if (rand1 >= rand2){
			var max = Math.floor(Math.random() * (100 - 55 + 1)) + 55;
			var min = 100 - max;
			var rate = [max , min];
			rate = shuffle(rate);
			for (var i=0; i<2; i++){
				document.getElementById('inner'+not_empty[i]).style.height = rate[i]+'%';
			}
		} else {
			var max = Math.floor(Math.random() * (100 - 55 + 1)) + 55;
			var min = 100 - max;
			document.getElementById('inner'+answer_number).style.height = max+'%';
			for (i=0;i<2;i++){
				if (not_empty[i] == answer_number){
					not_empty.splice(i,1);
				}
			}
			document.getElementById('inner'+not_empty[0]).style.height = min+'%';
		}
		
	}
	
}

function showCoins(){
	$('#center').hide();
	$('#cup').show();
	var coins_arr = ['1','2','3','4','5','6','7','8','9','10','11','12'];
	coins_arr = shuffle(coins_arr);
	var sz = coins_arr.length;
	var coin_str = '';
	for (i = 0; i < sz; i++){
		coin_str += '<div class="coin c'+ ( i + 1 ) +'"><img id="coin'+coins_arr[i]+'" src="img/coins/'+coins_arr[i]+'.png"/></div>';
	}
	$('#coins').html(coin_str);
	for (i = 0; i < sz; i++){
		var r = Math.random() * (8000 - 2000) + 4000;
		$('.c' + (i + 1)).animate({top: '100%'}, r, function(){$(this).remove(); isEnd();});
	}
}

function isEnd(){
	if ($('.coin').length == 0){
		game_ad();
	}
};

function exit(){
	if (navigator && navigator.app) {
         navigator.app.exitApp();
	} else if (navigator && navigator.device) {
         navigator.device.exitApp();
	}
}

function playAudio(id) {
	if (is_vol == 0) return;
	if (!is_device) return;
	if (media_arr[id] != undefined){
		media_arr[id].stop();
		media_arr[id].release();
	}
	var url = mp3[id];
    if (device.platform == 'Android') {
		url = '/android_asset/www' + url;
	}	
    var my_media = new Media(url,
             function () {},
             function (err) {}
    );
	media_arr[id] = my_media;
    my_media.play();
}

function playMusic(id) {
	if (is_vol == 0) return;
	if (!is_device) return;
	if (media_arr[id] != undefined){
		media_arr[id].stop();
		media_arr[id].release();
	}
    var url = mp3[id];
    if (device.platform == 'Android') {
		url = '/android_asset/www' + url;
	}	
    var my_media = new Media(url,
             function () {},
             function (err) {}
    );	
	media_arr[id] = my_media;
    my_media.play();	
	my_media.setVolume('0.5');
	muz_int = setInterval(function(){if (is_repeat) playMusic('muz');}, time_mus);
}

function shuffle(array) {
  var currentIndex = array.length, temporaryValue, randomIndex ;
  while (0 !== currentIndex) {
    randomIndex = Math.floor(Math.random() * currentIndex);
    currentIndex -= 1;
    temporaryValue = array[currentIndex];
    array[currentIndex] = array[randomIndex];
    array[randomIndex] = temporaryValue;
  }
  return array;
}

function getRandom(min, max) {
	var first = Math.floor(Math.random() * (max - min + 1)) + min;
	while (first == max){
		first = Math.floor(Math.random() * (max - min + 1)) + min;
	}
	if (rates.length < 3){
		var dif = max - first;
		rates.push(first);
		getRandom(min, dif);
	} else {
		rates.push(max);
	}
	return rates;
}

function temp_disable_help() {
	$('#fifty').addClass('disabled');
	$('#call').addClass('disabled');
	$('#auditory').addClass('disabled');
	setTimeout(() => {
		$('#fifty').removeClass('disabled');
		$('#call').removeClass('disabled');
		$('#auditory').removeClass('disabled');
	}, 3000);
}

function showAdmobInterstitial() {
	try {
		if (window.admob != undefined) {
			window.admob.interstitial.show();
		}
	} catch (err) { }
}